| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs | Functions
int_tools.hpp File Reference
Private

elementary operation for infinint integers More...

`#include "../my_config.h"`
`#include "integers.hpp"`
`#include "erreurs.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs
typedef unsigned char | libdar::int_tools_bitfield[8]

## Functions
void | libdar::int_tools_swap_bytes (unsigned char &a, unsigned char &b)
void | libdar::int_tools_swap_bytes (unsigned char *a, U_I size)
void | libdar::int_tools_expand_byte (unsigned char a, int_tools_bitfield &bit)
void | libdar::int_tools_contract_byte (const int_tools_bitfield &b, unsigned char &a)
template<class T >
T | libdar::int_tools_rotate_right_one_bit (T v)
template<class T >
T | libdar::int_tools_maxof_agregate (T unused)

## Detailed Description

elementary operation for infinint integers

Definition in file int_tools.hpp.